Introducing SAproxy Pro

On February 15th 2003, a little-known company, Stata Labs, launched SAproxy™ 1.0 - a Spam filter based on the open source project SpamAssassin™. Quickly exceeding expectations, SAproxy far outperformed the competition and set the bar for Spam filter performance everywhere.

SAproxy Pro is the professional release of that product which includes upgrades to the original filtering engine as well as an enhanced user experience.

Additional features of SAproxy Pro

  • Incorporates SpamAssassin version 2.6 – the latest version of the Industry-best Spam Filter.
  • Training Videos to help you configure your email programs to work with SAproxy Pro.
  • Enhanced user interface that includes an easy-to-use method of adding an email address, domain name, or keyword to your Always Spam List (Blacklist) or your Never Spam List (Whitelist).
  • Seamless integration with Bloomba that includes the ability to Delete as Spam and restore an email that is Not Spam.

This is in addition to existing features such as:

  • The industry-best SpamAssassin engine combined with Stata Labs’ dedication to usability.
  • Immediate Spam detection with little up front effort.
  • Spam detection that improves over time and learns for you so that Spam detection is personalized to the Spam that you are receiving. This learning is additionally enhanced when SAproxy Pro is integrated with our email program Bloomba.
  • Foreign language blocker designed to accept email only in languages that you specify.
  • Adjustable Safety Settings so that you can choose to view Spam without actually opening the email – avoids any viruses, unsafe code or images that tell the Spammer that your address is ‘live.’
  • A Spam Report provided with each Spam explaining why the email was marked as Spam.
  • Support for multiple accounts

System Requirements

Where do I find Information?

This manual was written for use with the SAproxy Pro 2.0. This manual and the SAproxy Pro software described in it are copyrighted, with all rights reserved. This manual and the SAproxy Pro software may not be copied, except as otherwise provided in your software license or as expressly permitted in writing by Stata Labs, Inc. Export of this technology may be controlled by the United States Government. Diversion contrary to U.S. law prohibited.

Copyright © 2003 by Stata Labs, Inc. All rights reserved.

Eudora and the Eudora logo are trademarks of QUALCOMM Incorporated.

Microsoft, Outlook, Outlook Express, MSN, Hotmail, and Windows are either registered trademarks or trademarks of Microsoft Incorporated in the United States and/or other countries.

AOL is a registered trademark of America Online, Inc.

Juno is a registered trademark of Juno Online Services, Inc.

Netscape, Netscape Messenger, and Netscape Messenger are registered trademarks of the Netscape Communications Corporation in the United States and other countries.

All other trademarks and service marks are the property of their respective owners.


System Requirements

Operating Systems: Window 98SE, 2000, ME, XP

Email Programs: Any desktop email program such as Bloomba, Outlook Express, Outlook, Netscape Mail (not webmail) or Eudora.

Email Provider: Any email provider that uses POP3 or gives you access to POP forwarding.

Email Provider | POP availability | Additional Information
Yahoo | Yes | In order to get POP forwarding with Yahoo, you must sign up for their Mail Plus service. This includes POP forwarding. For more information, see: http://mailplus.mail.yahoo.com.
Juno | Yes | Juno allows for POP forwarding. For more information, see: http://www.juno.com/support/email/.
Cable ISP | Yes | Most Cable ISPs allow for POP forwarding. For more information, check with your cable provider’s website
DSL ISP | Yes | Most DSL ISPs allow for POP forwarding. For more information, check with your cable provider’s website.
Hotmail | No | Microsoft does not allow for POP forwarding. So even though you can use your Hotmail account in Outlook Express or Outlook, you can’t use SAproxy Pro.
MSN | No | Microsoft used to allow for POP forwarding, but have discontinued the service.
AOL | No | AOL uses a proprietary email protocol that is not standard.
Other web mail Programs | Maybe | Email that you access on the web is usually not POP3 email. However, most of the web-based email programs allow for POP forwarding with either a small fee or a simple change in your set up. Remember that the first step is setting up a desktop email program such as Bloomba or Outlook Express. Once you have been able to read your email through a desktop email program and you know that your provider offers POP forwarding, then you can setup SAproxy Pro. Check with your web mail provider to see if they offer POP forwarding.

Disclaimer: This is based on current information available to us. Any of these companies may change their policies and procedures at any time so check with them for the latest and most accurate information.


Where do I find information?

The Help Tab

In the SAproxy Pro Configuration Window, there is a tab called Help. The links found here are intended to give you everything you need to use, learn, and improve your experience with SAproxy Pro.

SAproxy Pro Help

This is the offline manual that is installed on your computer along with SAproxy Pro. It provides everything you need to know about SAproxy Pro in an easy to use familiar format allowing you to find information by using the table of contents, the Index or using Search. In most cases, you have already found the SAproxy Pro Help manual because you are using it to read this information.

Online Support Center

Visit our website where we have lots of up-to-date product information including new releases, upgrades, frequently asked questions, tips and tricks as well as a searchable Knowledge Base that will allow you to search for anything from specific errors to white papers about the Messaging industry.

Configuring Your Email Program

Get access to the Training Videos that were available during installation. Each of these videos is designed to show you how to configure your email program as well as walk you through setting up a filter to move Spam messages out of your Inbox. Clicking this link will bring you to a website online where you can either download the Training Video you need or stream it across the Internet.

Registration

Click on the Registration link to access the Registration window. This will allow you to activate your product any time during your trial period or after your trial period has ended. If you have just activated SAproxy Pro, you can view your product activation key at any time in this window. If you have activated SAproxy Pro as a part of Bloomba, then you can view your key within Bloomba’s Registration Window under the Help->Registration.

Tell a Friend

With SAproxy Pro version 2.1.1, Stata Labs has introduced a Tell-a-friend feature that allows you to share your enthusiasm for SAproxy Pro with a quick and easy email to friends. Your friends have the ability to return the favor by entering your email address into the Tell-a-friend drawing for a free Philips® DVD760 DVD Player and a free one-year subscription to NetFlix™. To learn more about the Tell-a-friend promotion, visit here: http://www.statalabs.com/products/saproxy/saproxy_friend.php


Tell a Friend

With the release of SAproxy Pro version 2.1.1 and later releases, Stata Labs has introduced a Tell-a-friend feature that allows you to share your enthusiasm for SAproxy Pro with a quick and easy email to friends. Your friends have the ability to return the favor by entering your email address into the Tell-a-friend drawing for a free Philips® DVD760 DVD Player and a free one-year subscription to NetFlix™. To learn more about the Tell-a-friend promotion, visit here: http://www.statalabs.com/products/saproxy/saproxy_friend.php


Starting up SAproxy Pro

Below you’ll find easy-to-use instructions for getting set up to use SAproxy Pro.

Installing

Setting up your Email Program

Setting up SSL


Installing

Once you have downloaded the SAproxy Pro Installer from Stata Lab’s website, you will need to close all other applications that are open and double-click on the Installer file. This will launch the installation process, which will not only install the software on your computer, but will help you configure whatever email program you are using. For most major email programs, such as Outlook Express and Outlook, we have a training video that can be used to help you walk through the process of configuring your email program.

If you prefer not to view the training videos or have an email program that does not have a training video available, choose the 'Other Email Programs' option in the setting up your email program section of this Help Guide.

Setting up your email program


Setting up your email program

Click on the links below to find instructions for setting up your email program to work with SAproxy Pro. Please choose what email program you are trying to setup.

Setting up Outlook Express 5 or 6

Setting up Outlook 98 or 2000

Setting up Outlook 2002 or 2003

Setting up Netscape 7

Setting up Netscape 4.7

Setting up Eudora 5 or 6

Setting up Other Email Programs


Setting up Outlook Express 5 or 6

Open Outlook Express and click on Tools in the menu bar. Choose Accounts.

This will open up the Internet Accounts window. Choose the Mail tab so that you can see all of your email accounts.

Choose the email account that you would like to configure with SAproxy Pro. If you would like to have SAproxy Pro filter more than one account, you will need to go through these steps for each account. Click on the Properties button.and the Account Properties window will open.

Click on the Server Tab and write down – whether it is on a separate piece of paper or in a Notepad text file – what is currently written in the Incoming Mail field. All the changes that you will be making will be made on this screen.

First, in the Account Name field, type a colon (not a semi-colon) plus the information that is currently in your Incoming Mail field. This is also the information that you have written somewhere else for safekeeping. The information in your Account Name field should look similar to the screenshot below.

Make sure you have typed it exactly as it looks in your Incoming Mail field without any spaces. This is critically important as you will not be able to receive email until these settings are correct.

Note: In most cases, your Incoming Mail information will not be the same as what is in the above screenshot. Your Incoming Mail Server is specific to your email address and email provider.

Once you have typed the Incoming Mail information into your Account name field, you will then be ready to enter 127.0.0.1 into your Incoming Mail field. Now you see why we asked you to write down the Incoming Mail information on a separate piece of paper. If you decide not to use SAproxy Pro to filter your Spam, you will need this information to return to your original settings.

Congratulations! You have set up Outlook Express to work with SAproxy Pro. You will now begin to see email with *****SPAM***** in the subject line if they have been identified as Spam. You can also check to make sure SAproxy Pro is working by opening the SAproxy Pro Configuration Window and looking at the Spam count right above the OK button. When you first install it, it said:

SAproxy Pro has caught 0 Spam since you installed it!

Within a day or two, depending on how often you get Spam, this count should begin to increase.

Stata Labs recommends moving this Spam out of your Inbox and into a separate folder. To learn how to do this, go to Filtering in Outlook Express version 5 and 6


Setting up Outlook 98 or 2000

Open Outlook and click on Tools in the menu bar. Choose Accounts.

This will open up the Internet Accounts window. Choose the Mail tab so that you can see all of your email accounts.

Choose the email account that you would like to configure with SAproxy Pro. If you would like to have SAproxy Pro filter more than one account, you will just need to go through these steps for each account. Click on the Properties button and the Account Properties window will open.

Click on the Server Tab and write down – whether it is on a separate piece of paper or in a Word file – what is currently written in the Incoming Mail field. All the changes that you will be making will be made on this screen.

First, in the Account Name field, type a colon (not a semi-colon) plus the information that is currently in your Incoming Mail field. This is also the information that you have written somewhere else for safekeeping. The information in your Account Name field should look similar to the screenshot below.

Make sure you have typed it exactly as it looks in your Incoming Mail field without any spaces. This is critically important, as you will not be able to receive email until these settings are correct.

Note: In almost all cases, your Incoming Mail information will not be the same as what is in the above screenshot. Your Incoming Mail Server is specific to your email address and email provider.

Once you have typed the Incoming Mail information into your Account name field, you will then be ready to enter 127.0.0.1 into your Incoming Mail field. Now you see why we asked you to write down the Incoming Mail information on a separate piece of paper. If you decide not to use SAproxy Pro to filter your Spam, you will need this information to return to your original settings.

Congratulations! You have set up Outlook to work with SAproxy Pro. You will now begin to see email with *****SPAM***** in the subject line if they have been identified as Spam. You can also check to make sure SAproxy Pro is working by opening the SAproxy Pro Configuration Window and looking at the Spam count right above the OK button. When you first install it, it said:

SAproxy Pro has caught 0 Spam since you installed it!

Within a day or two, depending on how often you get Spam, this count should begin to increase.

Stata Labs recommends moving this Spam out of your Inbox and into a separate folder. To learn how to do this, go to Filtering In Outlook 98 and 2000


Setting up Outlook 2002

Setting up Outlook 2002 or 2003

Open Outlook and click on Tools in the menu bar. Choose Email Accounts.

This will open up the E-mail Accounts window. Choose the View or change existing e-mail accounts option and click on the Next button. Choose the email account that you would like to configure with SAproxy Pro. If you would like to have SAproxy Pro filter more than one account, you will just need to go through these steps for each account.

Once you have the account highlighted, click on the Change button and the E-mail Account window will open.

Here you will need to write down – whether it is on a separate piece of paper or in a Word file – what is currently written in the Incoming Mail Server field. All the changes that you will be making will be made on this screen.

First, in the User Name field (not the Your Name field), type a colon (not a semi-colon) plus the information that is currently in your Incoming Mail Server field. This is also the information that you have written somewhere else for safekeeping. The information in your User Name field should look similar to the screenshot below.

Make sure you have typed it exactly as it looks in your Incoming Mail field without any spaces. This is critically important, as you will not be able to receive email until these settings are correct.

Note: In almost all cases, your Incoming Mail Server information will not be the same as what is in the above screenshot. Your Incoming Mail Server is specific to your email address and email provider.

Once you have typed the Incoming Mail Server information into your User Name field, you will then be ready to enter 127.0.0.1 into your Incoming Mail Server field. Now you see why we asked you to write down the Incoming Mail Server information on a separate piece of paper. If you decide not to use SAproxy Pro to filter your Spam, you will need this information to return to your original settings.

Click on the Next button and the click Finish.

Congratulations! You have set up Outlook 2002 to work with SAproxy Pro. You will now begin to see email with *****SPAM***** in the subject line if it has been identified as Spam. You can also check to make sure SAproxy Pro is working by opening the SAproxy Pro Configuration Window and looking at the Spam count right above the OK button. When you first install it, it said:

SAproxy Pro has caught 0 Spam since you installed it!

Within a day or two, depending on how often you get Spam, this count should begin to increase.

Stata Labs recommends moving this Spam out of your Inbox and into a separate folder. To learn how to do this, go to Filtering in Outlook 2002


Setting up Eudora 5

Setting up Eudora 5 or 6

Open Eudora and click on Tools in the toolbar. Then choose Options.

This will open the Options window. Click the Checking Mail icon to the left of the screen to view your Mail server settings. Take a moment to write down – whether it is on a separate piece of paper or in a Word file on your computer – what is currently written in the Incoming Mail field. All the changes that you will be making will be made on this screen.

Within the Login Name field, type a colon (not a semi-colon) plus the information currently in the Mail Server field. Make sure you have typed it exactly as it looks in your Mail Server field without any spaces. This is critically important, as you will not be able to receive email until these settings are correct.

Note: In almost all cases, your Mail Server information will not be the same as what is in the above screenshot. Your Mail Server is specific to your email address and email provider.

Once you have typed the Mail Server information into your Login name field, you will then be ready to enter 127.0.0.1 into your Mail Server field. Now you see why we asked you to write down the Mail Server information on a separate piece of paper. If you decide not to use SAproxy Pro to filter your Spam, you will need this information to return to your original settings.

You window should now look like this:

Congratulations! You have set up Eudora to work with SAproxy Pro. You will now begin to see email with *****SPAM***** in the subject line if they have been identified as Spam. You can also check to make sure SAproxy Pro is working by opening the SAproxy Pro Configuration Window and looking at the Spam count right above the OK button. When you first install it, it said:

SAproxy Pro has caught 0 Spam since you installed it!

Within a day or two, depending on how often you get Spam, this count should begin to increase.

Stata Labs recommends moving this Spam out of your Inbox and into a separate folder. To learn how to do this, go to Filtering in Eudora version 5.


Setting up Netscape 4.7

Open Netscape and click on Edit in the toolbar. Then choose Preferences.

This will open the Preferences window. Click on the Incoming Mail Server that you would like to set up to use SAproxy Pro to filter spam and click Edit.

This opens the Mail Server Properties window where you will make all of your adjustments. Take a moment to write down – whether it is on a separate piece of paper or in a Word file on your computer – what is currently written in the Server Name field.

Within the User Name field, type a colon (not a semi-colon) plus the information currently in the Server Name field. Make sure you have typed it exactly as it looks in your Server Name field without any spaces. This is critically important, as you will not be able to receive email until these settings are correct.

Note: In almost all cases, your Server Name information will not be the same as what is in the above screenshot. jstatalabs is just an example Yahoo account. Your Server Name is specific to your email address and email provider.

Once you have typed the Server Name information into your User Name field, you will then be ready to enter 127.0.0.1 into your Server Name field. Now you see why we asked you to write down the Server Name information on a separate piece of paper. If you decide not to use SAproxy Pro to filter your Spam, you will need this information to return to your original settings.

Click OK to save your changes and close the Mail Server Properties window. Click OK to close the Preferences window.

Congratulations! You have set up Netscape 4.7 to work with SAproxy Pro. You will now begin to see email with *****SPAM***** in the subject line if they have been identified as Spam. You can also check to make sure SAproxy Pro is working by opening the SAproxy Pro Configuration Window and looking at the Spam count right above the OK button. When you first install it, it said:

SAproxy Pro has caught 0 Spam since you installed it!

Within a day or two, depending on how often you get Spam, this count should begin to increase.

Stata Labs recommends moving this Spam out of your Inbox and into a separate folder. To learn how to do this, go to Filtering in Netscape 4.7.


Setting up Netscape Mail 7

Open Netscape Mail and click on Edit in the toolbar. Then choose Mail & Newsgroup Account Settings.

This will open the Mail & Newsgroup Account Settings window. Choose which account you would like to set up and click on Server Settings underneath that account. You will need to make the same changes for each email account you would like to have SAproxy Pro filter for Spam. Take a moment to write down – whether it is on a separate piece of paper or in a Word file on your computer – what is currently written in the Server Name field. All the changes that you will be making will be made on this screen.

Within the User Name field, type a colon (not a semi-colon) plus the information currently in the Server Name field. Make sure you have typed it exactly as it looks in your Server Name field without any spaces. This is critically important, as you will not be able to receive email until these settings are correct.

Note: In almost all cases, your Server Name information will not be the same as what is in the above screenshot. Your Server Name is specific to your email address and email provider.

Once you have typed the Server Name information into your User Name field, you will then be ready to enter 127.0.0.1 into your Server Name field. Now you see why we asked you to write down the Server Name information on a separate piece of paper. If you decide not to use SAproxy Pro to filter your Spam, you will need this information to return to your original settings.

You window should now look like this:

Congratulations! You have set up Netscape 7.0 to work with SAproxy Pro. You will now begin to see email with *****SPAM***** in the subject line if they have been identified as Spam. You can also check to make sure SAproxy Pro is working by opening the SAproxy Pro Configuration Window and looking at the Spam count right above the OK button. When you first install it, it said:

SAproxy Pro has caught 0 Spam since you installed it!

Within a day or two, depending on how often you get Spam, this count should begin to increase.

Stata Labs recommends moving this Spam out of your Inbox and into a separate folder. To learn how to do this, go to Filtering in Netscape 7.0.


Setting up Other Email Programs

If you have a POP account, your email program should work with SAproxy Pro even if we did not include specific instructions for it in this Help guide. Below are the generic instructions for setting up your email program to work with SAproxy Pro.

Go to the server and account settings window in your email program. In different email programs this is called different names – Accounts, Email Accounts, Settings, Options, etc. You may have multiple email accounts that you would like to set up. For each account, you will need to make the same changes for each email account you would like to have SAproxy Pro filter for Spam.

Find the User Name field where you have entered the first part of your email address. For example, if your email address is jeff77@yahoo.com, then your User Name is:

jeff77

Find the Server Name field where you have entered the server information from your email provider. This can be called Server Name, Incoming Mail Server, Incoming Mail, Server Address, etc. The Server Name usually looks something like:

pop.mail.yahoo.com

Take a moment to write down – whether it is on a separate piece of paper or in a Word file on your computer – what is currently written in the Server Name field.

Within the User Name field, type a colon (not a semi-colon) plus the information currently in the Server Name field. Make sure you have typed it exactly as it looks in your Server Name field without any spaces. This is critically important, as you will not be able to receive email until these settings are correct. In the case of jeff77 from the above example that would look like this:

jeff77:pop.mail.yahoo.com

Once you have typed the Server Name information into your User Name field, you will then be ready to enter 127.0.0.1 into your Server Name field. Now you see why we asked you to write down the Server Name information on a separate piece of paper. If you decide not to use SAproxy Pro to filter your Spam, you will need this information to return to your original settings.

Congratulations! You have set up your email program to work with SAproxy Pro. You will now begin to see email with *****SPAM***** in the subject line if they have been identified as Spam. You can also check to make sure SAproxy Pro is working by opening the SAproxy Pro Configuration Window and looking at the Spam count right above the OK button. When you first installed it, it said:

SAproxy Pro has caught 0 Spam since you installed it!

Within a day or two, depending on how often you get Spam, this count should begin to increase.

Stata Labs recommends moving this Spam out of your Inbox and into a separate folder. To learn how to do this, go to Filtering in Other Email Programs.


SAproxy Pro with SSL

With Bloomba, it’s simple to use SAproxy Pro with an incoming SSL email account. You’ll just need to download the SAproxy Pro SSL Plugin and install it on your computer. You can find this plug-in on the Stata Labs website at www.statalabs.com/saproxy/ssl. Once it’s installed, just set up your account to Use SAproxy Pro and click the SSL checkbox.

With Other Email Programs, you’ll also need to install the SSL Plug-in on your computer, but you’ll also have to add ‘:ssl’ to the end of your User Name. For example:

Incoming Mail: 127.0.0.1

User Name: jstatalabs:pop.mail.yahoo.com:ssl

Make sure you do not check the SSL box associated with the email client.


Marking Spam

SAproxy Pro marks messages that it identifies as Spam by assigning Spam Points. Learn more about Spam Points as well as how to adjust the way it marks messages as Spam.

Adjusting the Spam Score

Tagging Options

Safety Settings


Spam Points

Spam Points and Adjusting the Spam Threshold

Messages are marked as spam if the total number of spam points is at or over the default spam threshold. SAproxy Pro allows you to adjust the threshold that determines whether an email is spam or not by using the Spam Threshold slider, but first you'll need to understand what spam points are and how they are added.

What are Spam Points?

When SAproxy Pro filters each message, it assigns spam points based on rules that look at characteristics of the message. Perhaps the email is HTML or it has the words unsubscribe at the bottom - both of these are examples of rules that SAproxy Pro uses to determine whether a message is spam. Every time a message meets the conditions of a rule, SAproxy Pro adds (or sometimes subtracts) a certain number of points to the message's total spam points. This score is then compared to the spam threshold to determine whether a message should be marked as spam or not. By default when you first install SAproxy Pro, the spam thresholdis 5.0 which means that anything that has a score of 5.0 or above is marked as spam.

Adjusting the Spam Threshold

The rules are fine tuned with the spam threshold of 5.0 in mind and 5.0 is consider the spam threshold which reduces the number of false positives while maximizing the spam catching accuracy; however, SAproxy Pro gives you the ability to adjust the spam threshold higher or lower. Open the configuraiton window and click on Tagging Options. Then use the slider to adjuect the spam thresold until it works for you If you don't mind a few false positives, but are adamant about not letting a spam message through, then consider lowering the spam threshold. If you can not tolerate false positives, but don't mind a few spam messages getting past SAproxy Pro, then consider raising the spam threshold. No matter what you do, just make sure you adjust in small increments and then wait for a few days to see how the adjusted settings works for you.


Default Options

Tagging Options

Modify Subject of Spam

Most users prefer to have Spam identified in the subject line of the email so that they can see immediately that an email is Spam. The default subject tag is *****SPAM***** but you can change this by entering a new value into the Subject Tag field. Just click on the Tagging Options tab and enter your preferred Subject Tag in the Subject Tag field.

Adding Spam Points

You can also add the total Spam Points to the Subject line so that you can immediately see whether an email is obviously spam - with a score above 10.0 - or just barely spam - with a score close to 5.0. Just check the Include Spam Points box.

If you'd like to see the Spam Points, but don't want anything else added to the subject line, just leave the Subject Tag field blank and click the Include Spam Points box.

Filtering on Subject vs. Header

There are a few email programs that require this subject line identification in order to create a filter that removes the Spam email from your inbox and places it in a separate folder for review later. See SAproxy Pro’s recommendations for how to best filter and store email marked as Spam. If you’re using an email program that can filter on the Headers (see table of email program inset), then you can easily turn off this option and create a filter based on the Header rather than the subject line. If you’re using Bloomba, Stata Lab’s search-based email program, you can adjust this option however you like and Bloomba will continue to move your Spam out of your inbox and into the Spam View.

Email Program | Filters on Subject? | Filters on Header?
Bloomba | Yes | Yes
Outlook | Yes | No
Outlook Express | Yes | No
Netscape | Yes | No
Eudora | No | Yes


Safety Settings

Sometimes Spam can contain attachments or code that could hurt your computer or could communicate back to the Spammer that your email address is ‘live.’ In order to prevent this, SAproxy Pro offers you the option to increase or decrease the level of safety that it will provide when marking Spam.

High

This setting will take the original email message and attach it to the Spam Report in text format. With the safety set to high, it is very difficult for any malicious code or other virus to automatically load onto your computer. The disadvantage is that the email may be difficult to view since it has been reformatted into a text file. If you are using Bloomba, Stata Lab’s search-based email program, you can use the Not Spam button to restore the email to its original form and train SAproxy Pro to recognize that type of email as legitimate in the future.

Medium

This option is set as the default when you install because it gives you the security you need without making it so difficult to view the email. The email is attached to the Spam Report, but it leaves the email in its original format. If you are using Bloomba, Stata Lab’s search-based email program, you can use the Not Spam button to restore the email to it’s original form and train SAproxy Pro to recognize that type of email as legitimate in the future.

Low

This setting leaves the email message as is except for the addition of the Spam Report above the text. With this option, there is not a lot that SAproxy Pro can do to remove unwanted attachments and links from your email system.


Improving Performance

Enable Logging

SAproxy Pro allows you the option of turning on a log called saproxypro.log that will include basic de-bugging information. This may often times help when you are trying to figure out what SAproxy Pro is behaving in a certain way. It can be opened with Notepad or Wordpad and if you are having trouble with SAproxy, Stata Labs support team may ask you to send your log.


Always Spam

Are some emails that should be filtered as Spam getting passed SAproxy Pro? If so, you can use the Always Spam List to help SAproxy Pro recognize these emails as Spam. You can also use the Language Settings to designate which languages you consider acceptable and which should be considered Spam.

If you are using Bloomba as your email program, you can also use the Delete as Spam button.

Make sure SAproxy Pro is running by looking for the icon in your System Tray.

Double click on this icon and the Configuration Window will open. Choose the Always Spam tab on the left side of the Configuration Window and you will see the Always Spam List. Many people also know this list as the Blacklist. If you haven’t entered anything previously, this list will be blank. Here you have the ability to add, edit and delete Always Spam entries.

To add an entry to the Always Spam list, click on Add and a small window pops-up.

This window allows you to enter three types of filtering criteria: an email address, an entire domain, or a keyword. Take a look at the emails that are getting past SAproxy Pro and see if you can find a similarity.

Do they come from the same email address? If this is the case, then you will need to add the email address to your Always Spam List.

  1. Choose Email Address in the drop-down list.
  2. Type in the Spammers email address. spammer@spam.com

Make sure you enter the email address exactly as it is shown in the offending emails.

Do they come from different users from the same domain? If this is the case, then you will need to add the entire domain to your Always Spam List.

  1. Choose Entire Domain from the drop-down list
  2. Type in the domain: spam.com

Make sure you enter the domain name exactly as it is shown in the offending emails. You do not need to add @ or any open search symbols like *@spam.com.

Spammers can sometimes use very popular domain names such as AOL.com and Yahoo.com. If these Spammers are targeting you, add the domain to your Always Spam List and then add all of your friends that use these domain names to your Never Spam List.

Do they have similar keywords such as Viagra or Buy Now? If this is the case, then you will need to add this keyword to your Always Spam List.

  1. Choose Keyword from the drop-down list

  2. Type in the Keyword: Spam

Don’t worry about whether you enter your keyword in all capitals or not. SAproxy Pro will search for that word regardless of capitalization.

SAproxy Pro is already filtering your messages using very popular Spam keywords such as Viagra. However, if you are still receiving messages with this word in it, you can add it to the Always Spam List and SAproxy Pro will be stricter in its classification of those messages as Spam.


Never Spam

Is SAproxy Pro incorrectly calling genuine email Spam? If so, you can use the Never Spam List to help SAproxy Pro recognize these emails. You can also import an address book or list of contacts from your email client or from any comma separated value file into your Never Spam list.

With Bloomba as your email program, you can also use the Not Spam button to train SAproxy Pro to recognize legitimate messages better and to add the sender’s email address automatically to the Never Spam List.

Make sure SAproxy Pro is running by looking for the icon in your System Tray.

Double click on this icon and the Configuration Window will open. Choose the Never Spam tab on the left side of the Configuration Window and you will see the Never Spam List. Many people also know this list as the Whitelist. If you haven’t entered anything previously, this list will be blank. Here you have the ability to add, edit and delete Never Spam entries.

To add an entry to the Never Spam list, click on Add and a small window pops-up.

This window allows you to enter two types of filtering criteria: an email address, or an entire domain. Take a look at the emails that being incorrectly filtered and see if you can find a similarity.

Do they come from the same email address? If this is the case, then you will need to add the email address to your Never Spam List.

  1. Choose Email Address in the drop-down list
  2. Type in the Spammers email address: friend@email.com

Make sure you enter the email address exactly as it is shown in the incorrectly filtered emails.

Do they come from different users from the same domain? If this is the case, then you will need to add the entire domain to your Never Spam List.

  1. Choose Entire Domain from the drop-down list
  2. Type in the domain: email.com

Make sure you enter the domain name exactly as it is shown in the incorrectly filtered emails. You do not need to add @ or any open search symbols like *@email.com.


Importing Address Book to Never Spam

Import Contacts as Never Spam

The latest version of SAproxy Pro (version 2.5) includes the ability to import your contact list or address book into the Never Spam list. Although SAproxy Pro is tuned to avoid false positives - marking legitimate email as spam - it can still be helpful to place the email addresses of your friends and associates into the Never Spam list. SAproxy Pro can import any address book or contact list that can be exported into a comma separate value file (sometimes called comma delimited value). Below are instructions for exporting your address book into a CSV file (comma separated value) from a few of the top email programs.

Exporting from Major Email Clients to a CSV file

Bloomba

If you wish to import your Contacts from Bloomba, you can do everything from the Contact tab within Bloomba. Click on the Contact Tab at the bottom of the Bloomba window and go to File->Export Contacts to Whitelist.

Outlook

In order to import your contacts from Outlook into SAproxy Pro, you'll need to export your contacts to a comma separated value file. Open Outlook and go to File->Import and Export. A window opens and you will need to choose Export to a file and then Comma Separated Values (Windows). Follow the wizard carefully and make sure to place the newly exported file in an location that you will remember. You will need to retrieve the file when you begin to import into SAproxy Pro.

Outlook Express

Open up Outlook Express and go to File -> Export -> Address Book. This opens up a window where you will need to choose Text File (Comma Separated Value) and then click Export. Name the file and place it somewhere on your computer that you'll remember. You'll need to find it again in order to import it into SAproxy Pro. In the final window, you don't need to check or uncheck anything, just click finish.

Adding to the Never Spam List

Now that you have your CSV file ready, click on the Never Spam tab and then click on Import. This opens up a window that will guide your through bringing the CSV file you just created into SAproxy Pro's Never Spam List (If you're using Bloomba, you do not need to go through this procedure. Just use the Export to Whitelist feature from within Bloomba). When the import finishes it will let you know if it found any duplicates either within the imported file or between the file and the entries already in your Never Spam List.


Training

Training SAproxy Pro

SAproxy Pro includes Bayesian Learning which improves the spam filter by learning from both spam and not spam messages that you receive. In order to enable Bayesian Learning, you will need to check the Enable Bayes and Automatic Learning checkbox in the Spam Training tab. Once the Bayesian database has collected over 200 spam and 200 legitimate messages it will be to add additional rules to your spam filter that will add points to email based on the probability that the message is spam. These Bayesian rules will dramatically increase the spam protection that SAproxy Pro provides.

There are two ways in which the Bayesian Learning system learns from messages. With the correct setting, SAproxy Pro will learn automatically with no intervention from the user. For faster learning, you can send batches of messages into the learning system - this is called Manual Training.

Automatic Learning

On the Spam Training tab, just check the Enable Bayes and Automatic Learning checkbox. This not only turns on Bayesian Learning, it also enables the software to begin collecting representative messages (by default it is checked when you install the application). Automatic Learning will collect messages that meet certain thresholds of 'spaminess'. To see whether a message was automatically learned or not, look for the words 'autolearn' in the header of the message (In Bloomba, go to View->View Source; In Outlook, right click on the message in the list window and choose Options; In Outlook Express, highlight the message and go to File->Properties). It should say either autolearn=no, which means that the message didn't meet the threshold point number to be learned as either spam or not spam; autolearn=spam, which means that this message has been learned as spam; or autolearn=ham, which means the message has been learned as not spam.

Manual Training

In order to manual train SAproxy Pro, you will first need to collect messages that are either spam or not spam. Create a folder in your email client or use the Spam folder (or Spam View in Bloomba) that you created during installation. Make sure that the messages within the folder are all either spam or not spam. You don't want to mix spam and not spam messages together as that will teach the Bayesian database incorrectly. Once you have a collection of messages ready for learning you will need to either export the folder or locate it depending on your email client. Follow the directions below for your specific email client.

Once you have exported or located the folder you wish to train SAproxy Pro with, open the SAproxy Pro configuration window and click on the Spam Training tab. Click on Training Wizard button and follow the directions on the screen.

Bloomba

In Bloomba, you can export either a folder or a View (saved search). Go to File->Export->Mbox and the export window will open. To export a folder, click on All Messages in Folder and then find and choose the folder by clicking on the '...' button. To export a View, click on the Search button and enter in the search string associated with the View you wish to export. You can find this search string by clicking on the View in the Navigation window and look at the Search Bar. For example, the Spam View search string is: folder:Deleted mark:spam. Before clicking OK, make sure you place the exporting messages in a location that you will remember. You may want to change what the default location is by clicking on the '...' next to the Target Mbox File field and choose a different folder path. Click OK and the messages will be exported.

Outlook

If you're using Outlook, you will need to export your folder just as you did with Bloomba. Go to File->Import and Export and then choose Export to a file. Choose the Personal Folder File (.pst) and then indicate which folder you would like to export. Make sure to save the exported file to a location that you'll remember.

Outlook Express

With Outlook Express you don't need to export your folder, you just need to find it. Outlook Express places it's folders in a very hard to find location. For example, if you have a folder called Spam, the folder path might look something like this: C:\Documents and Settings\<yourname>\Local Settings\Application Data\Identities\{F1BF3824-70AD-4AB4-9691-83FC1ADD471B}\Microsoft\Outlook Express\Spam.dbx. Before you begin running the Training Wizard within SAproxy Pro, make sure you know where to find this folder.

More Training Tools

If you use Bloomba along with SAproxy Pro, you have the additional functionality of being able to correct false positives or missed spam. If a spam message is missed, simply use the Delete as Spam button to move the message into your Spam View as well as training SAproxy Pro on that message. If a legitimate message is marked as spam, use the Not Spam button. This will not only train SAproxy Pro on the message, but will also add the sender to your Never Spam List.


Language Settings

Are you getting email in a foreign language? If so, you can use the Language Settings tab to ‘authorize’ certain languages as being acceptable. Choose the languages you would like to accept and emails that are in any other language will be considered Spam.

This does not mean that SAproxy Pro can filter keywords in foreign languages – currently SAproxy Pro only looks for keywords such as Viagra or Buy Now in English. A message that is in a foreign language will be filtered on non-keyword based attributes such as the validity of the sender’s email address and whether the message was sent to you personally or just a blanket list. Adding a language setting will add additional protection against foreign language Spam.


Advanced Settings

The Advanced Settings tab is only for special situations where you cannot use SAproxy Pro. In most cases, these options should be left alone.

Enable Logging

Allow AUTH command to be proxied

Allow TOP command to be proxied

Non-local Network Tests

Host Map


Allow AUTH command to be proxied

In most cases, the AUTH command is not necessary, however, sometimes your email provider will require it. If you receive an error after installing SAproxy Pro correctly and trying to receive email that says “-ERR: not supported by proxy,” there’s a good chance you will need to try checking and unchecking this box to see if it helps.

The AUTH command has two implementations:

The first is as a way to authenticate you, without sending non-encrypted passwords. This offers additional protection against someone figuring out your password. In this scenario, you will simply need to check the Allow AUTH command box and your SAproxy Pro will be able to accept these emails.

In the second type of implementation, AUTH may be used to specify an encryption mechanism for the entire message. SAproxy Pro cannot scan encrypted messages, so this type of AUTH is not supported.


Allow TOP command to be proxied

TOP is like a preview command. If you're on a slow dialup line, you might want to be able to look at the first part of a message before deciding to download the whole message. Some email providers allow that with the TOP command.

Under normal circumstances, email programs will have problems with this because SAproxy Pro modifies the headers and the subject line of the email. If the user views the emails first, before SAproxy Pro has filtered, and then email is downloaded and filtered, the subject line and header may be different for email identified as Spam. This may cause your email program to crash. To prevent this, SAproxy Pro does not proxy the TOP command unless you specifically request it.

If SAproxy Pro has any difficulty filtering your email and you receive the error “ERR: not supported by proxy” there’s a good chance that checking the Allow TOP command might help. In general, however, it is best to leave is unchecked.


Non-local Network Tests

Besides the rules and Bayesian learning, SpamAssassin allows you to check with other systems on the internet to help improve spam detection. These include DCC (Distributed Checksum Clearninghouse), Pyzor, Razor2, and RBL (Registered Black Lists). All of these resources allow you to benefit from the larger communities that collect information about spammers. Using these setting should improve your spam detection accuracy; however, on some systems, connecting through the network can cause your email download to time out. Try adjusting the settings under the Advanced Network Options to see what your particular system set up can handle. Unfortunately, in some situations, you will not be able to use these non-local network tests because of incompatibilities of your system with the networks. If your email downloads are timing out or you are seeing network errors, uncheck the Use Non-local Network Test checkbox and try downloading your email again.


Host Map

In some cases, the only way to set up SAproxy Pro is to use the Host Map. However, this is to be used as a last resort when troubleshooting your email program configuration. Make sure you have done everything described in the Setting up your Email Program section.

To add an entry to the Host Map, click on the Add button in the Advanced Settings tab. This will open up the Add to Host Map window.

To set up a single POP account to use the Host Map, use the fields in the Add entry window to enter the Local Port, which for a single account is 110, and the Remote Port, which is usually 110. Then enter your server information into the Mail Server field. This is the same information that exists in the Incoming Mail or Server Name fields in your email program. What this means is that the local port 110 will proxy to your.mailserver.com on port 110. Within your email program you will only need to add the 127.0.0.1 into the Server Name field and leave the User Name field as it normally looks. Skip the step that would normally have you add a colon plus your pop server information. See Setting up Your Email Program as a reference.

If you need to enter more entries into your Host Map because you have multiple accounts that SAproxy Pro needs to filter, then click the Add button again and enter your second Host Map entry. Remember that this time you will need to replace the Local Port with something different – try 818 or other high number. If you change the local port in your Host Mapping, you will also need to go into your email program and change the Port number for that account. Again, you will not need to do any of the configuration that is done in the Setting up Your Email Program section.

With two of Host Maps in place you are telling your computer that connections of the local port 110 should proxy to your.mailserver.com on port 110 and that connections to port 818 should proxy to other.mailserver.com also on port 110.


Moving Spam from your Inbox

SAproxy Pro identifies emails as Spam and marks them as such, however, your email program can easily be used to filter these emails and move them to a folder for later viewing. Stata Labs recommends this approach over other approaches such as automatically deleting Spam. This is because, even with the best Spam filter, legitimate email will get marked as Spam. Especially when the product is first installed and hasn’t had a chance to begin learning from you. If you move Spam messages into a folder before deleting them, you can take the time later to quickly scan through the list to see if anything is incorrectly marked. Below are instructions on how to create a filter and a folder in a few of the more popular email programs. You can also reference the Help Guide for each of these email programs to learn more about creating these.

Bloomba

Outlook Express 5 and 6

Outlook 2002

Outlook 98, 2000

Netscape 7.0

Netscape 4.7

Eudora

Other Email Clients


Filtering out Spam in Bloomba

Unlike any other email program, Bloomba is integrated with SAproxy Pro such that Spam emails are automatically moved out of your Inbox and into the Spam View. From the Spam View, they can be permanently deleted. For Bloomba users, there no set up required.


Filtering in Outlook Express 5 and 6

Open Outlook Express and click on Tool in the toolbar. Choose Message Rules and then choose Mail.

This opens the New Mail Rule window as seen below.

In the top box, place a checkmark next to “Where the Subject line contains specific words.” Make sure you check the box instead of simply highlighting it.

In the next box, place a checkmark next to “Move it to the specified folder.”

Once both these items are checked, the final box will look like the screenshot below. Click on “contains specific words.”

This brings up the Type Specific Word window. Enter *****SPAM***** remembering to use five asterisks (*) before and after the word SPAM in all capitals.

Within the SAproxy Pro Configuration Window, you can choose not to have this placed in the Subject Line of the identified Spam. In that case you will have to find a different value to filter your Spam with. See Add Spam Tag for more information about this option.

Click on the Add button and then click OK. The screen will close and you will see that the lower box now says - Where the subject line contains ‘*****SPAM*****’

Click on the specified folder to indicate where to move messages that contain *****SPAM***** in the subject line. This opens up the Move screen where you need to click on New Folder. If you want your Spam folder to be underneath you Inbox, you will need to highlight Inbox before you click on New Folder.

The New Folder window opens and you will need to give your new folder a name. In this example, we use the name Spam.

Click OK and you will see that the Spam folder has been added.

Click OK again and you will return to the Rules Window. Where you can now check to make sure your Rule Description looks exactly like the screenshot below.

Enter a name for your Rule – such as Spam Rule – and click OK.

This will open up the Message Rules window where you can see your new rule is enabled. At any time if you wish to disable this rule, you just need to uncheck the box.


Filtering in Outlook 98 and 2000

Open Outlook and click on Tools in the toolbar. Choose Rules Wizard.

Click on New…

…and the Rules Wizard opens. Choose “Move messages based on content” by highlighting it and then click on “specific words” in the lower box.

This will open the Search Text window. Type in *****SPAM***** in the Add New field. Make sure you type five asteriks (*) followed by the word SPAM in all capitals. Click on Add and the *****SPAM***** will move into the Search list. Click OK and this window will close.

The Rule description box will now show “with *****SPAM***** in the subject or body.” Click on underlined word ‘specified.’

…And a window will open showing you all of the links that currently appear in Outlook.

You can choose to place the New Folder that you will create anywhere you would like, in this example, we will place the folder underneath ‘Personal Folders’ by highlighting the folder.

Click on New and the Create New Folder window will open. Name your folder anything you would like. In this example, we have chosen Spam.

Click OK and the window will close displaying the full Rules Wizard window. Check to make sure that what you have done looks something like this.

Congratulations! You have created a filter and a folder to help manage your Spam. Click Finish and OK to get back to the main window of Outlook.


Filtering in Outlook 2002

Filtering in Outlook 2002 or 2003

Open Outlook 2002 and click on Tools in the toolbar. Choose the Rules Wizard.

This will open up the Rules Wizard window. Under “Apply changes to this folder” make sure to choose the email account that you configured for SAproxy Pro. If you haven’t configured your email program, go to Configuring Outlook 2002.

Click on the New button…

…And the Rules Wizard window opens.

Here you will need to make sure that the “Start creating a rule from a template” is checked. In the first box at the to of the Rules Wizard window, click on “Move messages based on content”…

And the lower box will show the following. Click on the underlined words, “specific words”…

…and type in *****SPAM***** in the text field. Make sure you type five astericks (*) before and after the word SPAM in all capitals.

Click Add and the text will be moved to the Search list. Then click OK.

The Rule description will update with the new text and show “with *****SPAM***** in the subject or body.” Click on the underlined word ‘specified’…

…And a window showing you all of your folders opens. Click on the New button…

…And the Create New Folder window opens. Type in a name for your folder and highlight the place you would like it to reside. You can use anything you like, in this example, we use the name Spam and placed it underneath the Inbox.

Click OK and Outlook will ask if you want to place this new folder in your Outlook Bar. Click No…

…And check the Rules Wizard to make sure you have entered everything correctly.

Congratulations! You have created a filter and a folder to help manage your Spam. Click Finish and OK to get back to the main window of Outlook.


Filtering in Netscape 4.71

Filtering in Netscape 4.7

Open Netscape and click on Edit in the toolbar. Choose Message Filters.

This opens up the Filter Rules window where you can name your Filter. Here we have chosen Spam Rule as the name of our Rule.

In the box below the Filter Name, make sure that ‘Match any of the following’ is checked. The two drop-down lists should default to Subject and contains and in the text box type *****SPAM*****. Make sure you type five asterisks (*) before and after the word SPAM in all capitals.

The drop-down box below Perform this action: will default to Move to folder, which again, is what you want. Click New Folder and the New Folder window will open.

Enter a name for your folder, this example uses Spam as the folder name and then click on the drop-down box to choose where to place the folder. Here we have chosen to place the Spam folder as a subfolder of Inbox. Click OK to save and close this window. The Filter Rules window should now look like this:

Click OK and you will see your new rule in the Message Filters window. You can disable it at any time by unchecking the Rule.

Congratulations! You have created a filter and a folder to help manage your Spam. Click OK and to get back to the main window of Netscape.


Filtering in Netscape 7.0

Open Netscape and click on Tools in the toolbar. Choose Message Filters.

The Message Filters window opens and you’ll need to make sure that the account you would like to create the filter for is the account that is shown in the Filters for: drop-down.

Click OK and the Filter Rules window opens. Enter a name such as Spam Filter in the Filter Name field.

In the box below the Filter Name, make sure that ‘Match any of the following’ is checked. The two drop-down lists should default to Subject and in the text box type *****SPAM*****. Make sure you type five asterisks (*) before and after the word SPAM in all capitals.

The drop-down box below Perform this action: will default to Move to folder, which again, is what you want. Make sure the account you are creating the filter for appears in the next drop-down and then click New Folder.

Enter a name for your folder, this example uses Spam as the folder name and then click on the drop-down box to choose where to place the folder.

Here you first choose the email account, and then the location. By clicking on ‘choose this for the parent,’ your Spam folder will be available on the top level. Click OK and you will return to the Filter Rules window. Check to make sure that your window looks like this.

Congratulations! You have created a filter and a folder to help manage your Spam. Click OK and then OK again to get back to the main window of Netscape.


Filtering in Eudora 5

Filtering in Eudora 5 or 6

Open Eudora and click on Tools in the toolbar. Choose Filters.

This opens the Filters window with has everything you need to create a filter.

Make sure Incoming is check and then type X-Spam-Flag: in the Header field. You will have to type this directly in since it will not appear in the drop-down list.

Underneath the Header field, type YES in the window next to contains.

At the bottom of the screen, underneath Action, click on the drop-down list and choose Transfer to.

Then click on the In button and choose New.

This will launch the New Mailbox window where you can create a new mailbox – or folder as you know them traditionally.

Type a title into the Name the new mailbox field. In this example, we used Spam as our mailbox name. Make sure to not click ‘Make it a folder.’ Click OK and make sure your screen looks like this:

Congratulations! You have created a filter and a folder to help manage your Spam. Close this window and click Yes when asked whether you would like to save your changes.


Filtering in Other Email Programs

Almost all email programs allow you to create filters or rules that can sort out the Spam emails and move them to a separate folder.

SAproxy Pro adds information to any email caught as Spam and this information can be used to create a filter or rule. The easiest to filter on is the addition of *****SPAM***** in the subject line of the email. Most email programs allow users to create filters based on the subject line. Simply follow your email programs directions for creating a filter or rule and have it look for the subject *****SPAM*****.

If your email program does not allow you to create a rule or filter based on subject line, then you can use what SAproxy Pro has placed in the Header.

X-Spam-Flag:YES

Create a filter based on the Header ‘X-Spam-Flag’ and make sure it contains ‘Yes’

Note: In most email programs, you cannot see the Header of an email without going to ‘View Source’ or something similar.


Troubleshooting

Search through our list of error messages to if you can find a solution to your problem. We have also included instructions on how to telnet to port 110 to make sure that SAproxy Pro is listening.


Error Messages

Choose the error message that you are seeing.

Marked Spam are in my Inbox

ERR: Look, I’m a proxy, not a server.

My email program keeps asking for password when trying to send and receive

The connection to the server has failed.

Unable to logon to the server using Secure Password Authentication.

ERR: Error logging in

Can’t Send

ERR: Not supported by proxy

I see the *****SPAM***** in the subject of my emails, but they are still coming into my inbox. Why aren’t they deleted?

SAproxy Pro marks emails as Spam and then it is your choice what to do with these emails. We have included in our training walk-through our recommended method of dealing with these emails. This includes creating a folder and using a filter to move Spam emails into this folder. If the emails with *****SPAM***** are coming into your inbox, then you have not setup a filter or it is not set up properly. Run through the training again and making sure to follow the second half of the training which includes creating a folder and a filter. You can find the training by opening SAproxy Pro and looking under the Help tab. Click on ‘Configuring your Email Program’ and choose the appropriate email program. You are welcome to use a different method of dealing with Spam emails, such as deleting them outright. Check with the help files of your email program to get more information on how to do that. However, we would caution that SAproxy Pro, especially when you first set it up, will sometimes incorrectly mark an email as Spam when it is not. Because of this, we do not recommend deleting all emails marked as Spam before you have a chance to check for this.

A window keeps popping up asking me for my name and password, but no matter what I type won’t accept it. Then my email program shows the error “ERR: Look, I’m a proxy, not a server.” I can’t send or receive email. What do I do?

This indicates that your settings for User or Account Name are not correct. Run through the training again and take particular notice of what you entered in the Account Name field (this is called different things by different email programs – User Name, Name may also be the field name). Make sure that you have entered this exactly as the training tells you. Make sure you are using a colon and not a semi-colon and that no extra spaces have been added to the string of information.

You can find the training by opening SAproxy Pro and looking under the Help tab. Click on ‘Configuring your Email Program’ and choose the appropriate email program.

A window keeps popping up asking me for my name and password, I enter them and I can send and receive fine. But it’s irritating, what do I do to stop it?

You need to set up your email program to remember your password. Check with the help information in the email program to find the place where you can do this. Usually, it is in the same place where you configured your settings for SAproxy Pro.

When I try to send or receive mail, I get the error “The connection to the server has failed.”

Check to make sure you entered the Incoming Server information correctly. It should read 127.0.0.1 <-exactly as you see it here, no extra spaces or different numbers.

When I try to send or receive mail, I get the error “Unable to logon to the server using Secure Password Authentication.”

You have set up your email to use Secure Password Authentication and your server does not support this. Uncheck Secure Password Authentication.

When I try to send or receive mail, I get the error “ERR: Error logging in”

You have entered your password incorrectly. Go back to the User log in information and re-type your password carefully making sure that your Caps Lock is not on.

I can receive email using SAproxy Pro, but can’t send. The password box opens up, but I can’t get it to work.

In Outlook and Outlook Express, check the “My server requires authentication” checkbox. If it is checked, uncheck it and try sending again. If it is not checked, check it and click on the Settings button that is now available (sometimes called More Settings). Check the box that says, “Log on using” and enter your normal user name (sometimes called Account Name) and password. Try sending again.

When I try to send or receive mail, I get the error “ERR: Not supported by proxy”

Try checking the “Allow the TOP command to be proxied” checkbox in the Advanced Setting tab of the SAproxy Pro configuration window. If this doesn’t work, uncheck that box and try the “Allow the AUTH command to be proxied.”


Can SAproxy Pro Hear Me?

One of the quickest ways to troubleshoot a problem is to telnet to port 110 on your computer to make sure that it is open and accepting SAproxy Pro. Following these instructions:

Start SAProxy Pro so that it is running in your system tray.

Go to your Start menu and click on Run. Type ‘cmd’ and press enter. This will bring up the command Dos window. Inside this new Dos window, type the command:

Telnet 127.0.0.1 110

This will telnet to port 110 of your computer. You should see:

+OK SAproxy ready, send USER name:host[:port}

This means that SAproxy Pro is listening on Port 110 and is asking you for your user name and password. In some cases, this is all you need to know to confirm that SAproxy Pro is listening. However, you can go further, if you’re feeling up to it to check whether you can get to your email server through SAproxy Pro. To enter your username type:

USER yourusername:pop.company.com

For example:

USER jstata:pop.mail.yahoo.com

You should see:

+OK password required for user "yourusername"

Note that in some cases, characters you type will not appear on the screen so you will have to be especially careful with your typing.

Now type:

PASS yourpassword

You should now be logged into your POP3 email server. Type:

STAT

You should see the number of your messages on the server.

Congratulations you have just become an official ‘Techie’ if you weren’t already one before. To close the window, type: quit and it will disappear.


About SpamAssassin

SpamAssassin

This information is provided to comply with the terms of the Perl Artistic License. You do not need to know anything in this section in order to use SAproxy Pro.

SAproxy Pro is based in part on several freely available open-source products, including SpamAssassin. SpamAssassin is written in a computer language called Perl and was designed to work only in a Unix-style computer environment in a “server” mode. SAproxy Pro is an enhancement to SpamAssassin that allows it to operate on Windows in a “program” proxy mode. SAproxy Pro is developed and distributed by Stata Laboratories, Inc., which does not own SpamAssassin.

When you install SAproxy Pro, an executable program called SAPROXY.EXE is placed in the program file directory (or wherever you choose to install it). SAPROXY.EXE is based on SpamAssassin (specifically, it uses the "SpamAssassin Modules"), but provides a different set of features than the standard SpamAssassin end-user program, which is called "spamassassin.pl". In particular, none of the standard SpamAssassin command line options or configuration file settings are guaranteed to work.

SAproxy Pro complies with the Perl Artistic License in the following way:

  • Following 3(a) by placing the modifications in the Public Domain
  • Following 4(b) by distributing a standard version of SpamAssassin and SAproxy which are available here under the "spamassassin" and "pop3" modules, respectively

The source code for SAproxy can be browsed at the Sourceforge CVS page. To obtain the original SpamAssassin product distribution, visit www.spamassassin.org. If the original products are no longer available at these sites, contact Stata Labs for assistance.


Converters

SAproxy Pro version 2.5 or later may contain additional software to aid in the training of the Bayesian filters. These additional programs are called Dbxconv.exe and Readpst.exe and they are both free, open source community efforts. Dbxconv and Readpst are both offered with the GNU General Public License, Version 2, 1991. SAproxy Pro calls these programs as separate processes to convert existing mailbox formats into a format that can be read by SAproxy Pro. Dbxconv and Readpst are installed and run as stand-alone programs.

For you, the user, these license issues are mostly unimportant. The installer will install all the software for you and SAProxy Pro will make use of these programs whenever it is required. Please note that the licenses are there to ensure that you can always use Dbxconv and Readpst for free. Dbxconv and Readpst will continue to work on your computer whether you have purchased a registration key for SAproxy Pro or not. These program are distributed in the hope that they will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. Please read the GPL license for complete detail.

If you are a developer wishing to redistribute Dbxconv or Readpst or incorporate them into other programs, there are certain restrictions, intended to protect other people's rights, and/or to protect the original copyright holder. Please read the GPL license for complete detail.

Dbxconv

With the GPL license, you have the right to copy, use, modify, and redistribute Dbxconv.exe. Complete details of the GPL license can be found here.

The source code to Dbxconv can be downloaded here: dbxconv_source.zip

Dbxconv is copyrighted by Ulrich Krebs. The Dbxconv homepage can be found here.

Readpst

With the GPL license, you have the right to copy, use, modify, and redistribute Readpst.exe. Complete details of the GPL license can be found here. Readpst is a component of another program Ol2mbox.

The source code to Readpst can be downloaded here:

The Readpst and Ol2mbox community page can be found here.


Filtering in Outlook 2002 (XP)

Filtering in Outlook 2002

Open Outlook 2002 and click on Tools in the toolbar. Choose the Rules Wizard.

This will open up the Rules Wizard window. Under “Apply changes to this folder” make sure to choose the email account that you configured for SAproxy Pro. If you haven’t configured your email program, go to Configuring Outlook 2002.

Click on the New button…

…And the Rules Wizard window opens.

Here you will need to make sure that the “Start creating a rule from a template” is checked. In the first box at the to of the Rules Wizard window, click on “Move messages based on content”…

And the lower box will show the following. Click on the underlined words, “specific words”…

…and type in *****SPAM***** in the text field. Make sure you type five astericks (*) before and after the word SPAM in all capitals.

Click Add and the text will be moved to the Search list. Then click OK.

The Rule description will update with the new text and show “with *****SPAM***** in the subject or body.” Click on the underlined word ‘specified’…

…And a window showing you all of your folders opens. Click on the New button…

…And the Create New Folder window opens. Type in a name for your folder and highlight the place you would like it to reside. You can use anything you like, in this example, we use the name Spam and placed it underneath the Inbox.

Click OK and Outlook will ask if you want to place this new folder in your Outlook Bar. Click No…

…And check the Rules Wizard to make sure you have entered everything correctly.

Congratulations! You have created a filter and a folder to help manage your Spam. Click Finish and OK to get back to the main window of Outlook.


New Topic

Filtering in Netscape 4.7

Open Netscape and click on Edit in the toolbar. Choose Message Filters.

This opens up the Filter Rules window where you can name your Filter. Here we have chosen Spam Rule as the name of our Rule.

In the box below the Filter Name, make sure that ‘Match any of the following’ is checked. The two drop-down lists should default to Subject and contains and in the text box type *****SPAM*****. Make sure you type five asterisks (*) before and after the word SPAM in all capitals.

The drop-down box below Perform this action: will default to Move to folder, which again, is what you want. Click New Folder and the New Folder window will open.

Enter a name for your folder, this example uses Spam as the folder name and then click on the drop-down box to choose where to place the folder. Here we have chosen to place the Spam folder as a subfolder of Inbox. Click OK to save and close this window. The Filter Rules window should now look like this:

Click OK and you will see your new rule in the Message Filters window. You can disable it at any time by unchecking the Rule.

Congratulations! You have created a filter and a folder to help manage your Spam. Click OK and to get back to the main window of Netscape.


Setting up Outlook 2002 (XP)

Open Outlook and click on Tools in the menu bar. Choose Email Accounts.

This will open up the E-mail Accounts window. Choose the View or change existing e-mail accounts option and click on the Next button. Choose the email account that you would like to configure with SAproxy Pro. If you would like to have SAproxy Pro filter more than one account, you will just need to go through these steps for each account.

Once you have the account highlighted, click on the Change button and the E-mail Account window will open.

Here you will need to write down – whether it is on a separate piece of paper or in a Word file – what is currently written in the Incoming Mail Server field. All the changes that you will be making will be made on this screen.

First, in the User Name field (not the Your Name field), type a colon (not a semi-colon) plus the information that is currently in your Incoming Mail Server field. This is also the information that you have written somewhere else for safekeeping. The information in your User Name field should look similar to the screenshot below.

Make sure you have typed it exactly as it looks in your Incoming Mail field without any spaces. This is critically important, as you will not be able to receive email until these settings are correct.

Note: In almost all cases, your Incoming Mail Server information will not be the same as what is in the above screenshot. Your Incoming Mail Server is specific to your email address and email provider.

Once you have typed the Incoming Mail Server information into your User Name field, you will then be ready to enter 127.0.0.1 into your Incoming Mail Server field. Now you see why we asked you to write down the Incoming Mail Server information on a separate piece of paper. If you decide not to use SAproxy Pro to filter your Spam, you will need this information to return to your original settings.

Click on the Next button and the click Finish.

Congratulations! You have set up Outlook 2002 to work with SAproxy Pro. You will now begin to see email with *****SPAM***** in the subject line if it has been identified as Spam. You can also check to make sure SAproxy Pro is working by opening the SAproxy Pro Configuration Window and looking at the Spam count right above the OK button. When you first install it, it said:

SAproxy Pro has caught 0 Spam since you installed it!

Within a day or two, depending on how often you get Spam, this count should begin to increase.

Stata Labs recommends moving this Spam out of your Inbox and into a separate folder. To learn how to do this, go to Filtering in Outlook 2002 (XP)